Page MenuHomePhabricator

Fix WMF schemas to not break when comment store goes WRITE_NEW
Closed, ResolvedPublic

Description

I knew that rMW5d9b67e09ed1: Allow edit summaries to be up to 767 bytes long, which changed all the comment fields to varbinary(767), was never deployed to WMF wikis' databases. But I mistakenly assumed that that meant the comment fields were varbinary(255). In fact, several of these fields are instead tinyblob or blob.

Thanks to MySQL being dumb, that means that the attempt to add DEFAULT '' to these columns in T174569: Schema change for refactored comment storage was silently ignored. When we try to stop writing the fields, the ones that aren't also nullable are going to break queries.

I have no idea which the better fix would be, changing the type and adding the default or just making them nullable. Or anything else.

Affected fields are ar_comment, img_description, ipb_reason, oi_description, and rev_comment. Fortunately rev_comment is only affected on a few wikis, but img_description is on many including Commons.

Fields and wikis are

1ar_comment: aawiki aawikibooks aawiktionary abwiki abwiktionary acewiki advisorywiki afwiki afwikibooks afwikiquote afwiktionary akwiki akwikibooks akwiktionary alswiki amwiki amwikiquote amwiktionary angwiki angwikibooks angwikiquote angwikisource angwiktionary anwiki anwiktionary arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki arcwiki arwiki arwikibooks arwikimedia arwikinews arwikiquote arwikisource arwikiversity arwiktionary arzwiki astwiki astwikibooks astwikiquote astwiktionary aswiki aswikibooks aswikisource aswiktionary auditcomwiki avwiki avwiktionary aywiki aywikibooks aywiktionary azwiki azwikibooks azwikiquote azwikisource azwiktionary barwiki bat_smgwiki bawiki bawikibooks bclwiki bdwikimedia be_x_oldwiki betawikiversity bewiki bewikibooks bewikimedia bewikiquote bewikisource bewiktionary bgwiki bgwikibooks bgwikinews bgwikiquote bgwikisource bgwiktionary bhwiki bhwiktionary biwiki biwikibooks biwiktionary bjnwiki bmwiki bmwikibooks bmwikiquote bmwiktionary bnwiki bnwikibooks bnwikisource bnwiktionary boardgovcomwiki boardwiki bowiki bowikibooks bowiktionary bpywiki brwiki brwikimedia brwikiquote brwikisource brwiktionary bswiki bswikibooks bswikinews bswikiquote bswikisource bswiktionary bugwiki bxrwiki cawiki cawikibooks cawikimedia cawikinews cawikiquote cawikisource cawiktionary cbk_zamwiki cdowiki cebwiki cewiki chairwiki chapcomwiki checkuserwiki chowiki chrwiki chrwiktionary chwiki chwikibooks chwiktionary chywiki ckbwiki collabwiki commonswiki cowiki cowikibooks cowikimedia cowikiquote cowiktionary crhwiki crwiki crwikiquote crwiktionary csbwiki csbwiktionary cswiki cswikibooks cswikinews cswikiquote cswikisource cswikiversity cswiktionary cuwiki cvwiki cvwikibooks cywiki cywikibooks cywikiquote cywikisource cywiktionary dawiki dawikibooks dawikiquote dawikisource dawiktionary dewiki dewikibooks dewikinews dewikiquote dewikisource dewikiversity dewikivoyage dewiktionary diqwiki dkwikimedia donatewiki dsbwiki dvwiki dvwiktionary dzwiki dzwiktionary eewiki elwiki elwikibooks elwikinews elwikiquote elwikisource elwikiversity elwikivoyage elwiktionary emlwiki enwiki enwikibooks enwikinews enwikiquote enwikisource enwikiversity enwikivoyage enwiktionary eowiki eowikibooks eowikinews eowikiquote eowikisource eowiktionary eswiki eswikibooks eswikinews eswikiquote eswikisource eswikiversity eswikivoyage eswiktionary etwiki etwikibooks etwikimedia etwikiquote etwikisource etwiktionary euwiki euwikibooks euwikiquote euwiktionary execwiki extwiki fawiki fawikibooks fawikinews fawikiquote fawikisource fawikivoyage fawiktionary fdcwiki ffwiki fiu_vrowiki fiwiki fiwikibooks fiwikimedia fiwikinews fiwikiquote fiwikisource fiwikiversity fiwiktionary fjwiki fjwiktionary foundationwiki fowiki fowikisource fowiktionary frpwiki frrwiki frwiki frwikibooks frwikinews frwikiquote frwikisource frwikiversity frwikivoyage frwiktionary furwiki fywiki fywikibooks fywiktionary gagwiki ganwiki gawiki gawikibooks gawikiquote gawiktionary gdwiki gdwiktionary glkwiki glwiki glwikibooks glwikiquote glwikisource glwiktionary gnwiki gnwikibooks gnwiktionary gotwiki gotwikibooks grantswiki guwiki guwikibooks guwikiquote guwikisource guwiktionary gvwiki gvwiktionary hakwiki hawiki hawiktionary hawwiki hewiki hewikibooks hewikinews hewikiquote hewikisource hewikivoyage hewiktionary hifwiki hiwiki hiwikibooks hiwikiquote hiwiktionary howiki hrwiki hrwikibooks hrwikiquote hrwikisource hrwiktionary hsbwiki hsbwiktionary htwiki htwikisource huwiki huwikibooks huwikinews huwikiquote huwikisource huwiktionary hywiki hywikibooks hywikiquote hywikisource hywiktionary hzwiki iawiki iawikibooks iawiktionary idwiki idwikibooks idwikiquote idwikisource idwiktionary iegcomwiki iewiki iewikibooks iewiktionary igwiki iiwiki ikwiki ikwiktionary ilowiki ilwikimedia incubatorwiki internalwiki iowiki iowiktionary iswiki iswikibooks iswikiquote iswikisource iswiktionary itwiki itwikibooks itwikinews itwikiquote itwikisource itwikiversity itwikivoyage itwiktionary iuwiki iuwiktionary jawiki jawikibooks jawikinews jawikiquote jawikisource jawikiversity jawiktionary jbowiki jbowiktionary jvwiki jvwiktionary kaawiki kabwiki kawiki kawikibooks kawikiquote kawiktionary kbdwiki kgwiki kiwiki kjwiki kkwiki kkwikibooks kkwikiquote kkwiktionary klwiki klwiktionary kmwiki kmwikibooks kmwiktionary knwiki knwikibooks knwikiquote knwikisource knwiktionary koiwiki kowiki kowikibooks kowikinews kowikiquote kowikisource kowikiversity kowiktionary krcwiki krwiki krwikiquote kshwiki kswiki kswikibooks kswikiquote kswiktionary kuwiki kuwikibooks kuwikiquote kuwiktionary kvwiki kwwiki kwwikiquote kwwiktionary kywiki kywikibooks kywikiquote kywiktionary ladwiki lawiki lawikibooks lawikiquote lawikisource lawiktionary lbewiki lbwiki lbwikibooks lbwikiquote lbwiktionary legalteamwiki lezwiki lgwiki lijwiki liwiki liwikibooks liwikiquote liwikisource liwiktionary lmowiki lnwiki lnwikibooks lnwiktionary loginwiki lowiki lowiktionary ltgwiki ltwiki ltwikibooks ltwikiquote ltwikisource ltwiktionary lvwiki lvwikibooks lvwiktionary maiwiki map_bmswiki mdfwiki mediawikiwiki metawiki mgwiki mgwikibooks mgwiktionary mhrwiki mhwiki mhwiktionary minwiki miwiki miwikibooks miwiktionary mkwiki mkwikibooks mkwikimedia mkwikisource mkwiktionary mlwiki mlwikibooks mlwikiquote mlwikisource mlwiktionary mnwiki mnwikibooks mnwiktionary movementroleswiki mrjwiki mrwiki mrwikibooks mrwikiquote mrwikisource mrwiktionary mswiki mswikibooks mswiktionary mtwiki mtwiktionary muswiki mwlwiki mxwikimedia myvwiki mywiki mywikibooks mywiktionary mznwiki nahwiki nahwikibooks nahwiktionary napwiki nawiki nawikibooks nawikiquote nawiktionary nds_nlwiki ndswiki ndswikibooks ndswikiquote ndswiktionary newiki newikibooks newiktionary newwiki ngwiki nlwiki nlwikibooks nlwikimedia nlwikinews nlwikiquote nlwikisource nlwikivoyage nlwiktionary nnwiki nnwikiquote nnwiktionary noboard_chapterswikimedia nostalgiawiki novwiki nowiki nowikibooks nowikimedia nowikinews nowikiquote nowikisource nowiktionary nrmwiki nsowiki nvwiki nycwikimedia nywiki nzwikimedia ocwiki ocwikibooks ocwiktionary officewiki ombudsmenwiki omwiki omwiktionary orwiki orwikisource orwiktionary oswiki otrs_wikiwiki outreachwiki pa_uswikimedia pagwiki pamwiki papwiki pawiki pawikibooks pawiktionary pcdwiki pdcwiki pflwiki pihwiki piwiki piwiktionary plwiki plwikibooks plwikimedia plwikinews plwikiquote plwikisource plwikivoyage plwiktionary pmswiki pnbwiki pnbwiktionary pntwiki pswiki pswikibooks pswiktionary ptwiki ptwikibooks ptwikinews ptwikiquote ptwikisource ptwikiversity ptwikivoyage ptwiktionary qualitywiki quwiki quwikibooks quwikiquote quwiktionary rmwiki rmwikibooks rmwiktionary rmywiki rnwiki rnwiktionary roa_rupwiki roa_rupwiktionary roa_tarawiki rowiki rowikibooks rowikinews rowikiquote rowikisource rowikivoyage rowiktionary rswikimedia ruewiki ruwiki ruwikibooks ruwikimedia ruwikinews ruwikiquote ruwikisource ruwikiversity ruwikivoyage ruwiktionary rwwiki rwwiktionary sahwiki sahwikisource sawiki sawikibooks sawikiquote sawikisource sawiktionary scnwiki scnwiktionary scowiki scwiki scwiktionary sdwiki sdwikinews sdwiktionary searchcomwiki sewiki sewikibooks sewikimedia sgwiki sgwiktionary shwiki shwiktionary simplewiki simplewikibooks simplewikiquote simplewiktionary siwiki siwikibooks siwiktionary skwiki skwikibooks skwikiquote skwikisource skwiktionary slwiki slwikibooks slwikiquote slwikisource slwikiversity slwiktionary smwiki smwiktionary snwiki snwiktionary sourceswiki sowiki sowiktionary spcomwiki specieswiki sqwiki sqwikibooks sqwikinews sqwikiquote sqwiktionary srnwiki srwiki srwikibooks srwikinews srwikiquote srwikisource srwiktionary sswiki sswiktionary stewardwiki stqwiki strategywiki stwiki stwiktionary suwiki suwikibooks suwikiquote suwiktionary svwiki svwikibooks svwikinews svwikiquote svwikisource svwikiversity svwikivoyage svwiktionary swwiki swwikibooks swwiktionary szlwiki tawiki tawikibooks tawikinews tawikiquote tawikisource tawiktionary tenwiki test2wiki testwiki testwikidatawiki tetwiki tewiki tewikibooks tewikiquote tewikisource tewiktionary tgwiki tgwikibooks tgwiktionary thwiki thwikibooks thwikinews thwikiquote thwikisource thwiktionary tiwiki tiwiktionary tkwiki tkwikibooks tkwikiquote tkwiktionary tlwiki tlwikibooks tlwiktionary tnwiki tnwiktionary towiki towiktionary tpiwiki tpiwiktionary transitionteamwiki trwiki trwikibooks trwikimedia trwikinews trwikiquote trwikisource trwiktionary tswiki tswiktionary ttwiki ttwikibooks ttwikiquote ttwiktionary tumwiki twwiki twwiktionary tyvwiki tywiki uawikimedia udmwiki ugwiki ugwikibooks ugwikiquote ugwiktionary ukwiki ukwikibooks ukwikinews ukwikiquote ukwikisource ukwikivoyage ukwiktionary urwiki urwikibooks urwikiquote urwiktionary usabilitywiki uzwiki uzwikibooks uzwikiquote uzwiktionary vecwiki vecwikisource vecwiktionary vepwiki vewiki viwiki viwikibooks viwikiquote viwikisource viwikivoyage viwiktionary vlswiki votewiki vowiki vowikibooks vowikiquote vowiktionary warwiki wawiki wawikibooks wawiktionary wg_enwiki wikidatawiki wikimania2005wiki wikimania2006wiki wikimania2007wiki wikimania2008wiki wikimania2009wiki wikimania2010wiki wikimania2011wiki wikimania2012wiki wikimania2013wiki wikimania2014wiki wikimania2015wiki wikimania2016wiki wikimaniateamwiki wowiki wowikiquote wowiktionary wuuwiki xalwiki xhwiki xhwikibooks xhwiktionary xmfwiki yiwiki yiwikisource yiwiktionary yowiki yowikibooks yowiktionary zawiki zawikibooks zawikiquote zawiktionary zeawiki zerowiki zh_classicalwiki zh_min_nanwiki zh_min_nanwikibooks zh_min_nanwikiquote zh_min_nanwikisource zh_min_nanwiktionary zh_yuewiki zhwiki zhwikibooks zhwikinews zhwikiquote zhwikisource zhwikivoyage zhwiktionary zuwiki zuwikibooks zuwiktionary
2img_description: aawiki aawikibooks aawiktionary abwiki abwiktionary acewiki advisorywiki afwiki afwikibooks afwikiquote afwiktionary akwiki akwikibooks akwiktionary alswiki amwiki amwikiquote amwiktionary angwiki angwikibooks angwikiquote angwikisource angwiktionary anwiki anwiktionary arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki arcwiki arwiki arwikibooks arwikimedia arwikinews arwikiquote arwikisource arwikiversity arwiktionary arzwiki astwiki astwikibooks astwikiquote astwiktionary aswiki aswikibooks aswikisource aswiktionary auditcomwiki avwiki avwiktionary aywiki aywikibooks aywiktionary azwiki azwikibooks azwikiquote azwikisource azwiktionary barwiki bat_smgwiki bawiki bawikibooks bclwiki bdwikimedia be_x_oldwiki betawikiversity bewiki bewikibooks bewikimedia bewikiquote bewikisource bewiktionary bgwiki bgwikibooks bgwikinews bgwikiquote bgwikisource bgwiktionary bhwiki bhwiktionary biwiki biwikibooks biwiktionary bjnwiki bmwiki bmwikibooks bmwikiquote bmwiktionary bnwiki bnwikibooks bnwikisource bnwiktionary boardgovcomwiki boardwiki bowiki bowikibooks bowiktionary bpywiki brwiki brwikimedia brwikiquote brwikisource brwiktionary bswiki bswikibooks bswikinews bswikiquote bswikisource bswiktionary bugwiki bxrwiki cawiki cawikibooks cawikimedia cawikinews cawikiquote cawikisource cawiktionary cbk_zamwiki cdowiki cebwiki cewiki chairwiki chapcomwiki checkuserwiki chowiki chrwiki chrwiktionary chwiki chwikibooks chwiktionary chywiki ckbwiki collabwiki commonswiki cowiki cowikibooks cowikimedia cowikiquote cowiktionary crhwiki crwiki crwikiquote crwiktionary csbwiki csbwiktionary cswiki cswikibooks cswikinews cswikiquote cswikisource cswikiversity cswiktionary cuwiki cvwiki cvwikibooks cywiki cywikibooks cywikiquote cywikisource cywiktionary dawiki dawikibooks dawikiquote dawikisource dawiktionary dewiki dewikibooks dewikinews dewikiquote dewikisource dewikiversity dewikivoyage dewiktionary diqwiki dkwikimedia donatewiki dsbwiki dvwiki dvwiktionary dzwiki dzwiktionary eewiki elwiki elwikibooks elwikinews elwikiquote elwikisource elwikiversity elwikivoyage elwiktionary emlwiki enwiki enwikibooks enwikinews enwikiquote enwikisource enwikiversity enwikivoyage enwiktionary eowiki eowikibooks eowikinews eowikiquote eowikisource eowiktionary eswiki eswikibooks eswikinews eswikiquote eswikisource eswikiversity eswikivoyage eswiktionary etwiki etwikibooks etwikimedia etwikiquote etwikisource etwiktionary euwiki euwikibooks euwikiquote euwiktionary execwiki extwiki fawiki fawikibooks fawikinews fawikiquote fawikisource fawikivoyage fawiktionary fdcwiki ffwiki fiu_vrowiki fiwiki fiwikibooks fiwikimedia fiwikinews fiwikiquote fiwikisource fiwikiversity fiwiktionary fjwiki fjwiktionary foundationwiki fowiki fowikisource fowiktionary frpwiki frrwiki frwiki frwikibooks frwikinews frwikiquote frwikisource frwikiversity frwikivoyage frwiktionary furwiki fywiki fywikibooks fywiktionary gagwiki ganwiki gawiki gawikibooks gawikiquote gawiktionary gdwiki gdwiktionary glkwiki glwiki glwikibooks glwikiquote glwikisource glwiktionary gnwiki gnwikibooks gnwiktionary gotwiki gotwikibooks grantswiki guwiki guwikibooks guwikiquote guwikisource guwiktionary gvwiki gvwiktionary hakwiki hawiki hawiktionary hawwiki hewiki hewikibooks hewikinews hewikiquote hewikisource hewikivoyage hewiktionary hifwiki hiwiki hiwikibooks hiwikiquote hiwiktionary howiki hrwiki hrwikibooks hrwikiquote hrwikisource hrwiktionary hsbwiki hsbwiktionary htwiki htwikisource huwiki huwikibooks huwikinews huwikiquote huwikisource huwiktionary hywiki hywikibooks hywikiquote hywikisource hywiktionary hzwiki iawiki iawikibooks iawiktionary idwiki idwikibooks idwikiquote idwikisource idwiktionary iegcomwiki iewiki iewikibooks iewiktionary igwiki iiwiki ikwiki ikwiktionary ilowiki ilwikimedia incubatorwiki internalwiki iowiki iowiktionary iswiki iswikibooks iswikiquote iswikisource iswiktionary itwiki itwikibooks itwikinews itwikiquote itwikisource itwikiversity itwikivoyage itwiktionary iuwiki iuwiktionary jawiki jawikibooks jawikinews jawikiquote jawikisource jawikiversity jawiktionary jbowiki jbowiktionary jvwiki jvwiktionary kaawiki kabwiki kawiki kawikibooks kawikiquote kawiktionary kbdwiki kgwiki kiwiki kjwiki kkwiki kkwikibooks kkwikiquote kkwiktionary klwiki klwiktionary kmwiki kmwikibooks kmwiktionary knwiki knwikibooks knwikiquote knwikisource knwiktionary koiwiki kowiki kowikibooks kowikinews kowikiquote kowikisource kowikiversity kowiktionary krcwiki krwiki krwikiquote kshwiki kswiki kswikibooks kswikiquote kswiktionary kuwiki kuwikibooks kuwikiquote kuwiktionary kvwiki kwwiki kwwikiquote kwwiktionary kywiki kywikibooks kywikiquote kywiktionary ladwiki lawiki lawikibooks lawikiquote lawikisource lawiktionary lbewiki lbwiki lbwikibooks lbwikiquote lbwiktionary legalteamwiki lezwiki lgwiki lijwiki liwiki liwikibooks liwikiquote liwikisource liwiktionary lmowiki lnwiki lnwikibooks lnwiktionary loginwiki lowiki lowiktionary ltgwiki ltwiki ltwikibooks ltwikiquote ltwikisource ltwiktionary lvwiki lvwikibooks lvwiktionary maiwiki map_bmswiki mdfwiki mediawikiwiki metawiki mgwiki mgwikibooks mgwiktionary mhrwiki mhwiki mhwiktionary minwiki miwiki miwikibooks miwiktionary mkwiki mkwikibooks mkwikimedia mkwikisource mkwiktionary mlwiki mlwikibooks mlwikiquote mlwikisource mlwiktionary mnwiki mnwikibooks mnwiktionary movementroleswiki mrjwiki mrwiki mrwikibooks mrwikiquote mrwikisource mrwiktionary mswiki mswikibooks mswiktionary mtwiki mtwiktionary muswiki mwlwiki mxwikimedia myvwiki mywiki mywikibooks mywiktionary mznwiki nahwiki nahwikibooks nahwiktionary napwiki nawiki nawikibooks nawikiquote nawiktionary nds_nlwiki ndswiki ndswikibooks ndswikiquote ndswiktionary newiki newikibooks newiktionary newwiki ngwiki nlwiki nlwikibooks nlwikimedia nlwikinews nlwikiquote nlwikisource nlwikivoyage nlwiktionary nnwiki nnwikiquote nnwiktionary noboard_chapterswikimedia nostalgiawiki novwiki nowiki nowikibooks nowikimedia nowikinews nowikiquote nowikisource nowiktionary nrmwiki nsowiki nvwiki nycwikimedia nywiki nzwikimedia ocwiki ocwikibooks ocwiktionary officewiki ombudsmenwiki omwiki omwiktionary orwiki orwikisource orwiktionary oswiki otrs_wikiwiki outreachwiki pa_uswikimedia pagwiki pamwiki papwiki pawiki pawikibooks pawiktionary pcdwiki pdcwiki pflwiki pihwiki piwiki piwiktionary plwiki plwikibooks plwikimedia plwikinews plwikiquote plwikisource plwikivoyage plwiktionary pmswiki pnbwiki pnbwiktionary pntwiki pswiki pswikibooks pswiktionary ptwiki ptwikibooks ptwikinews ptwikiquote ptwikisource ptwikiversity ptwikivoyage ptwiktionary qualitywiki quwiki quwikibooks quwikiquote quwiktionary rmwiki rmwikibooks rmwiktionary rmywiki rnwiki rnwiktionary roa_rupwiki roa_rupwiktionary roa_tarawiki rowiki rowikibooks rowikinews rowikiquote rowikisource rowikivoyage rowiktionary rswikimedia ruewiki ruwiki ruwikibooks ruwikimedia ruwikinews ruwikiquote ruwikisource ruwikiversity ruwikivoyage ruwiktionary rwwiki rwwiktionary sahwiki sahwikisource sawiki sawikibooks sawikiquote sawikisource sawiktionary scnwiki scnwiktionary scowiki scwiki scwiktionary sdwiki sdwikinews sdwiktionary searchcomwiki sewiki sewikibooks sewikimedia sgwiki sgwiktionary shwiki shwiktionary simplewiki simplewikibooks simplewikiquote simplewiktionary siwiki siwikibooks siwiktionary skwiki skwikibooks skwikiquote skwikisource skwiktionary slwiki slwikibooks slwikiquote slwikisource slwikiversity slwiktionary smwiki smwiktionary snwiki snwiktionary sourceswiki sowiki sowiktionary spcomwiki specieswiki sqwiki sqwikibooks sqwikinews sqwikiquote sqwiktionary srnwiki srwiki srwikibooks srwikinews srwikiquote srwikisource srwiktionary sswiki sswiktionary stewardwiki stqwiki strategywiki stwiki stwiktionary suwiki suwikibooks suwikiquote suwiktionary svwiki svwikibooks svwikinews svwikiquote svwikisource svwikiversity svwikivoyage svwiktionary swwiki swwikibooks swwiktionary szlwiki tawiki tawikibooks tawikinews tawikiquote tawikisource tawiktionary tenwiki test2wiki testwiki testwikidatawiki tetwiki tewiki tewikibooks tewikiquote tewikisource tewiktionary tgwiki tgwikibooks tgwiktionary thwiki thwikibooks thwikinews thwikiquote thwikisource thwiktionary tiwiki tiwiktionary tkwiki tkwikibooks tkwikiquote tkwiktionary tlwiki tlwikibooks tlwiktionary tnwiki tnwiktionary towiki towiktionary tpiwiki tpiwiktionary transitionteamwiki trwiki trwikibooks trwikimedia trwikinews trwikiquote trwikisource trwiktionary tswiki tswiktionary ttwiki ttwikibooks ttwikiquote ttwiktionary tumwiki twwiki twwiktionary tyvwiki tywiki uawikimedia udmwiki ugwiki ugwikibooks ugwikiquote ugwiktionary ukwiki ukwikibooks ukwikinews ukwikiquote ukwikisource ukwikivoyage ukwiktionary urwiki urwikibooks urwikiquote urwiktionary usabilitywiki uzwiki uzwikibooks uzwikiquote uzwiktionary vecwiki vecwikisource vecwiktionary vepwiki vewiki viwiki viwikibooks viwikiquote viwikisource viwikivoyage viwiktionary vlswiki votewiki vowiki vowikibooks vowikiquote vowiktionary warwiki wawiki wawikibooks wawiktionary wg_enwiki wikidatawiki wikimania2005wiki wikimania2006wiki wikimania2007wiki wikimania2008wiki wikimania2009wiki wikimania2010wiki wikimania2011wiki wikimania2012wiki wikimania2013wiki wikimania2014wiki wikimania2015wiki wikimania2016wiki wikimaniateamwiki wowiki wowikiquote wowiktionary wuuwiki xalwiki xhwiki xhwikibooks xhwiktionary xmfwiki yiwiki yiwikisource yiwiktionary yowiki yowikibooks yowiktionary zawiki zawikibooks zawikiquote zawiktionary zeawiki zerowiki zh_classicalwiki zh_min_nanwiki zh_min_nanwikibooks zh_min_nanwikiquote zh_min_nanwikisource zh_min_nanwiktionary zh_yuewiki zhwiki zhwikibooks zhwikinews zhwikiquote zhwikisource zhwikivoyage zhwiktionary zuwiki zuwikibooks zuwiktionary
3ipb_reason: acewiki advisorywiki arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki arwikimedia arwikiversity arzwiki aswikisource auditcomwiki barwiki bclwiki bdwikimedia betawikiversity bewiki bewikimedia bewikisource bgwiki bgwiktionary bjnwiki bnwikisource boardgovcomwiki bpywiki brwikimedia brwikiquote brwikisource bswikinews bxrwiki cawikimedia cbk_zamwiki cdowiki chairwiki checkuserwiki ckbwiki collabwiki commonswiki cowikimedia crhwiki cswiki cswikinews cswikiversity cuwiki dewikivoyage diqwiki dkwikimedia donatewiki dsbwiki elwikinews elwikiversity elwikivoyage emlwiki enwiki enwikiquote enwikiversity enwikivoyage enwiktionary eowiki eowikinews eowikisource eswikiversity eswikivoyage etwikimedia execwiki extwiki fawikinews fawikivoyage fdcwiki fiwiki fiwikimedia fiwikinews fiwikiversity frrwiki frwikiversity frwikivoyage gagwiki ganwiki glkwiki guwikisource hakwiki hewikivoyage hifwiki hsbwiki hsbwiktionary huwikinews hywikisource idwiki iegcomwiki ilwikimedia itwiki itwikiversity itwikivoyage jawikiversity kaawiki kabwiki kbdwiki koiwiki kowikinews kowikiversity krcwiki lbewiki legalteamwiki lezwiki liwikibooks liwikiquote liwikisource loginwiki ltgwiki maiwiki mdfwiki mhrwiki minwiki mkwikimedia mkwikisource movementroleswiki mrjwiki mrwikisource mwlwiki mxwikimedia myvwiki mznwiki newwiki nlwiki nlwikivoyage noboard_chapterswikimedia novwiki nowiki nowikimedia nsowiki nycwikimedia officewiki ombudsmenwiki orwikisource otrs_wikiwiki outreachwiki pa_uswikimedia pagwiki pcdwiki pflwiki plwiki plwikivoyage pnbwiki pnbwiktionary pntwiki ptwiki ptwikiversity ptwikivoyage qualitywiki roa_tarawiki rowikivoyage rswikimedia ruewiki ruwikimedia ruwikiversity ruwikivoyage sahwiki sahwikisource sawikiquote sawikisource sdwikinews searchcomwiki sewikimedia slwikiversity sqwikinews srnwiki stewardwiki stqwiki strategywiki svwiki svwikiversity svwikivoyage szlwiki tawikinews tawikisource tenwiki test2wiki testwikidatawiki tgwikibooks thwiki transitionteamwiki trwiki trwikimedia trwikinews tyvwiki uawikimedia ukwikivoyage usabilitywiki vecwikisource vecwiktionary vepwiki viwikivoyage votewiki wg_enwiki wikidatawiki wikimania2007wiki wikimania2008wiki wikimania2009wiki wikimania2010wiki wikimania2011wiki wikimania2012wiki wikimania2013wiki wikimania2014wiki wikimania2015wiki wikimania2016wiki wuuwiki xmfwiki zeawiki zerowiki zh_classicalwiki zhwiki zhwikivoyage
4oi_description: aawiki aawikibooks aawiktionary abwiki abwiktionary acewiki advisorywiki afwiki afwikibooks afwikiquote afwiktionary akwiki akwikibooks akwiktionary alswiki amwiki amwikiquote amwiktionary angwiki angwikibooks angwikiquote angwikisource angwiktionary anwiki anwiktionary arbcom_dewiki arbcom_enwiki arbcom_fiwiki arbcom_nlwiki arcwiki arwiki arwikibooks arwikimedia arwikinews arwikiquote arwikisource arwikiversity arwiktionary arzwiki astwiki astwikibooks astwikiquote astwiktionary aswiki aswikibooks aswikisource aswiktionary auditcomwiki avwiki avwiktionary aywiki aywikibooks aywiktionary azwiki azwikibooks azwikiquote azwikisource azwiktionary barwiki bat_smgwiki bawiki bawikibooks bclwiki bdwikimedia be_x_oldwiki betawikiversity bewiki bewikibooks bewikimedia bewikiquote bewikisource bewiktionary bgwiki bgwikibooks bgwikinews bgwikiquote bgwikisource bgwiktionary bhwiki bhwiktionary biwiki biwikibooks biwiktionary bjnwiki bmwiki bmwikibooks bmwikiquote bmwiktionary bnwiki bnwikibooks bnwikisource bnwiktionary boardgovcomwiki boardwiki bowiki bowikibooks bowiktionary bpywiki brwiki brwikimedia brwikiquote brwikisource brwiktionary bswiki bswikibooks bswikinews bswikiquote bswikisource bswiktionary bugwiki bxrwiki cawiki cawikibooks cawikimedia cawikinews cawikiquote cawikisource cawiktionary cbk_zamwiki cdowiki cebwiki cewiki chairwiki chapcomwiki checkuserwiki chowiki chrwiki chrwiktionary chwiki chwikibooks chwiktionary chywiki ckbwiki collabwiki commonswiki cowiki cowikibooks cowikimedia cowikiquote cowiktionary crhwiki crwiki crwikiquote crwiktionary csbwiki csbwiktionary cswiki cswikibooks cswikinews cswikiquote cswikisource cswikiversity cswiktionary cuwiki cvwiki cvwikibooks cywiki cywikibooks cywikiquote cywikisource cywiktionary dawiki dawikibooks dawikiquote dawikisource dawiktionary dewiki dewikibooks dewikinews dewikiquote dewikisource dewikiversity dewikivoyage dewiktionary diqwiki dkwikimedia donatewiki dsbwiki dvwiki dvwiktionary dzwiki dzwiktionary eewiki elwiki elwikibooks elwikinews elwikiquote elwikisource elwikiversity elwikivoyage elwiktionary emlwiki enwiki enwikibooks enwikinews enwikiquote enwikisource enwikiversity enwikivoyage enwiktionary eowiki eowikibooks eowikinews eowikiquote eowikisource eowiktionary eswiki eswikibooks eswikinews eswikiquote eswikisource eswikiversity eswikivoyage eswiktionary etwiki etwikibooks etwikimedia etwikiquote etwikisource etwiktionary euwiki euwikibooks euwikiquote euwiktionary execwiki extwiki fawiki fawikibooks fawikinews fawikiquote fawikisource fawikivoyage fawiktionary fdcwiki ffwiki fiu_vrowiki fiwiki fiwikibooks fiwikimedia fiwikinews fiwikiquote fiwikisource fiwikiversity fiwiktionary fjwiki fjwiktionary foundationwiki fowiki fowikisource fowiktionary frpwiki frrwiki frwiki frwikibooks frwikinews frwikiquote frwikisource frwikiversity frwikivoyage frwiktionary furwiki fywiki fywikibooks fywiktionary gagwiki ganwiki gawiki gawikibooks gawikiquote gawiktionary gdwiki gdwiktionary glkwiki glwiki glwikibooks glwikiquote glwikisource glwiktionary gnwiki gnwikibooks gnwiktionary gotwiki gotwikibooks grantswiki guwiki guwikibooks guwikiquote guwikisource guwiktionary gvwiki gvwiktionary hakwiki hawiki hawiktionary hawwiki hewiki hewikibooks hewikinews hewikiquote hewikisource hewikivoyage hewiktionary hifwiki hiwiki hiwikibooks hiwikiquote hiwiktionary howiki hrwiki hrwikibooks hrwikiquote hrwikisource hrwiktionary hsbwiki hsbwiktionary htwiki htwikisource huwiki huwikibooks huwikinews huwikiquote huwikisource huwiktionary hywiki hywikibooks hywikiquote hywikisource hywiktionary hzwiki iawiki iawikibooks iawiktionary idwiki idwikibooks idwikiquote idwikisource idwiktionary iegcomwiki iewiki iewikibooks iewiktionary igwiki iiwiki ikwiki ikwiktionary ilowiki ilwikimedia incubatorwiki internalwiki iowiki iowiktionary iswiki iswikibooks iswikiquote iswikisource iswiktionary itwiki itwikibooks itwikinews itwikiquote itwikisource itwikiversity itwikivoyage itwiktionary iuwiki iuwiktionary jawiki jawikibooks jawikinews jawikiquote jawikisource jawikiversity jawiktionary jbowiki jbowiktionary jvwiki jvwiktionary kaawiki kabwiki kawiki kawikibooks kawikiquote kawiktionary kbdwiki kgwiki kiwiki kjwiki kkwiki kkwikibooks kkwikiquote kkwiktionary klwiki klwiktionary kmwiki kmwikibooks kmwiktionary knwiki knwikibooks knwikiquote knwikisource knwiktionary koiwiki kowiki kowikibooks kowikinews kowikiquote kowikisource kowikiversity kowiktionary krcwiki krwiki krwikiquote kshwiki kswiki kswikibooks kswikiquote kswiktionary kuwiki kuwikibooks kuwikiquote kuwiktionary kvwiki kwwiki kwwikiquote kwwiktionary kywiki kywikibooks kywikiquote kywiktionary ladwiki lawiki lawikibooks lawikiquote lawikisource lawiktionary lbewiki lbwiki lbwikibooks lbwikiquote lbwiktionary legalteamwiki lezwiki lgwiki lijwiki liwiki liwikibooks liwikiquote liwikisource liwiktionary lmowiki lnwiki lnwikibooks lnwiktionary loginwiki lowiki lowiktionary ltgwiki ltwiki ltwikibooks ltwikiquote ltwikisource ltwiktionary lvwiki lvwikibooks lvwiktionary maiwiki map_bmswiki mdfwiki mediawikiwiki metawiki mgwiki mgwikibooks mgwiktionary mhrwiki mhwiki mhwiktionary minwiki miwiki miwikibooks miwiktionary mkwiki mkwikibooks mkwikimedia mkwikisource mkwiktionary mlwiki mlwikibooks mlwikiquote mlwikisource mlwiktionary mnwiki mnwikibooks mnwiktionary movementroleswiki mrjwiki mrwiki mrwikibooks mrwikiquote mrwikisource mrwiktionary mswiki mswikibooks mswiktionary mtwiki mtwiktionary muswiki mwlwiki mxwikimedia myvwiki mywiki mywikibooks mywiktionary mznwiki nahwiki nahwikibooks nahwiktionary napwiki nawiki nawikibooks nawikiquote nawiktionary nds_nlwiki ndswiki ndswikibooks ndswikiquote ndswiktionary newiki newikibooks newiktionary newwiki ngwiki nlwiki nlwikibooks nlwikimedia nlwikinews nlwikiquote nlwikisource nlwikivoyage nlwiktionary nnwiki nnwikiquote nnwiktionary noboard_chapterswikimedia nostalgiawiki novwiki nowiki nowikibooks nowikimedia nowikinews nowikiquote nowikisource nowiktionary nrmwiki nsowiki nvwiki nycwikimedia nywiki nzwikimedia ocwiki ocwikibooks ocwiktionary officewiki ombudsmenwiki omwiki omwiktionary orwiki orwikisource orwiktionary oswiki otrs_wikiwiki outreachwiki pa_uswikimedia pagwiki pamwiki papwiki pawiki pawikibooks pawiktionary pcdwiki pdcwiki pflwiki pihwiki piwiki piwiktionary plwiki plwikibooks plwikimedia plwikinews plwikiquote plwikisource plwikivoyage plwiktionary pmswiki pnbwiki pnbwiktionary pntwiki pswiki pswikibooks pswiktionary ptwiki ptwikibooks ptwikinews ptwikiquote ptwikisource ptwikiversity ptwikivoyage ptwiktionary qualitywiki quwiki quwikibooks quwikiquote quwiktionary rmwiki rmwikibooks rmwiktionary rmywiki rnwiki rnwiktionary roa_rupwiki roa_rupwiktionary roa_tarawiki rowiki rowikibooks rowikinews rowikiquote rowikisource rowikivoyage rowiktionary rswikimedia ruewiki ruwiki ruwikibooks ruwikimedia ruwikinews ruwikiquote ruwikisource ruwikiversity ruwikivoyage ruwiktionary rwwiki rwwiktionary sahwiki sahwikisource sawiki sawikibooks sawikiquote sawikisource sawiktionary scnwiki scnwiktionary scowiki scwiki scwiktionary sdwiki sdwikinews sdwiktionary searchcomwiki sewiki sewikibooks sewikimedia sgwiki sgwiktionary shwiki shwiktionary simplewiki simplewikibooks simplewikiquote simplewiktionary siwiki siwikibooks siwiktionary skwiki skwikibooks skwikiquote skwikisource skwiktionary slwiki slwikibooks slwikiquote slwikisource slwikiversity slwiktionary smwiki smwiktionary snwiki snwiktionary sourceswiki sowiki sowiktionary spcomwiki specieswiki sqwiki sqwikibooks sqwikinews sqwikiquote sqwiktionary srnwiki srwiki srwikibooks srwikinews srwikiquote srwikisource srwiktionary sswiki sswiktionary stewardwiki stqwiki strategywiki stwiki stwiktionary suwiki suwikibooks suwikiquote suwiktionary svwiki svwikibooks svwikinews svwikiquote svwikisource svwikiversity svwikivoyage svwiktionary swwiki swwikibooks swwiktionary szlwiki tawiki tawikibooks tawikinews tawikiquote tawikisource tawiktionary tenwiki test2wiki testwiki testwikidatawiki tetwiki tewiki tewikibooks tewikiquote tewikisource tewiktionary tgwiki tgwikibooks tgwiktionary thwiki thwikibooks thwikinews thwikiquote thwikisource thwiktionary tiwiki tiwiktionary tkwiki tkwikibooks tkwikiquote tkwiktionary tlwiki tlwikibooks tlwiktionary tnwiki tnwiktionary towiki towiktionary tpiwiki tpiwiktionary transitionteamwiki trwiki trwikibooks trwikimedia trwikinews trwikiquote trwikisource trwiktionary tswiki tswiktionary ttwiki ttwikibooks ttwikiquote ttwiktionary tumwiki twwiki twwiktionary tyvwiki tywiki uawikimedia udmwiki ugwiki ugwikibooks ugwikiquote ugwiktionary ukwiki ukwikibooks ukwikinews ukwikiquote ukwikisource ukwikivoyage ukwiktionary urwiki urwikibooks urwikiquote urwiktionary usabilitywiki uzwiki uzwikibooks uzwikiquote uzwiktionary vecwiki vecwikisource vecwiktionary vepwiki vewiki viwiki viwikibooks viwikiquote viwikisource viwikivoyage viwiktionary vlswiki votewiki vowiki vowikibooks vowikiquote vowiktionary warwiki wawiki wawikibooks wawiktionary wg_enwiki wikidatawiki wikimania2005wiki wikimania2006wiki wikimania2007wiki wikimania2008wiki wikimania2009wiki wikimania2010wiki wikimania2011wiki wikimania2012wiki wikimania2013wiki wikimania2014wiki wikimania2015wiki wikimania2016wiki wikimaniateamwiki wowiki wowikiquote wowiktionary wuuwiki xalwiki xhwiki xhwikibooks xhwiktionary xmfwiki yiwiki yiwikisource yiwiktionary yowiki yowikibooks yowiktionary zawiki zawikibooks zawikiquote zawiktionary zeawiki zerowiki zh_classicalwiki zh_min_nanwiki zh_min_nanwikibooks zh_min_nanwikiquote zh_min_nanwikisource zh_min_nanwiktionary zh_yuewiki zhwiki zhwikibooks zhwikinews zhwikiquote zhwikisource zhwikivoyage zhwiktionary zuwiki zuwikibooks zuwiktionary
5rev_comment: arwikimedia arwikiversity aswikisource bdwikimedia bewikimedia bewikisource bgwiki bgwiktionary cawikimedia checkuserwiki commonswiki cswiki dewikivoyage donatewiki elwikinews elwikivoyage enwikiquote enwikivoyage enwiktionary eowiki eowikisource eswikivoyage fawikivoyage fdcwiki fiwiki frwikivoyage guwikisource hewikivoyage idwiki iegcomwiki itwiki itwikivoyage kbdwiki kowikiversity legalteamwiki lezwiki loginwiki ltgwiki maiwiki minwiki mrwikisource mxwikimedia nlwiki nlwikivoyage nowiki nsowiki nycwikimedia ombudsmenwiki orwikisource plwiki plwikivoyage pnbwiktionary ptwiki ptwikivoyage rowikivoyage ruewiki ruwikivoyage sahwikisource sawikiquote sawikisource slwikiversity sqwikinews stewardwiki svwiki svwikivoyage test2wiki testwikidatawiki thwiki transitionteamwiki trwiki tyvwiki ukwikivoyage vecwiktionary vepwiki viwikivoyage votewiki wikidatawiki wikimania2012wiki wikimania2013wiki wikimania2014wiki wikimania2015wiki wikimania2016wiki xmfwiki zerowiki zhwiki zhwikivoyage

ALTERs to run:

ALTER TABLE archive MODIFY COLUMN ar_comment varbinary(255) NOT NULL DEFAULT '';
ALTER TABLE ipblocks MODIFY COLUMN ipb_reason varbinary(255) NOT NULL DEFAULT '';
ALTER TABLE oldimage MODIFY COLUMN oi_description varbinary(255) NOT NULL DEFAULT '';
ALTER TABLE revision MODIFY COLUMN rev_comment varbinary(255) NOT NULL DEFAULT '';
ALTER TABLE image    MODIFY COLUMN img_description varbinary(255) NOT NULL DEFAULT '', ADD COLUMN img_description_id bigint unsigned NOT NULL DEFAULT 0 AFTER img_description, ALTER COLUMN img_user_text SET DEFAULT '', ADD COLUMN img_actor bigint unsigned NOT NULL DEFAULT 0 AFTER img_user_text;
CREATE INDEX img_actor_timestamp ON image (img_actor, img_timestamp);
  • Progress for the affected wikis split by shard:
    • s1
      • codfw
      • eqiad progress: T187089#4104575 UPDATE: eqiad only the master pending - will be done once we have done the DC failover - done as db1052 was failed over (T197069)
    • s2
      • codfw
      • eqiad progress: T187089#3985090 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s3
      • codfw
      • eqiad progress: T187089#4096779 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s4
      • codfw
      • eqiad progress: T187089#4034294 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s5
      • codfw progress: T187089#3966228
      • eqiad progress: T187089#3966228 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s6
      • codfw
      • eqiad progress: T187089#3977745 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s7
      • codfw
      • eqiad progress: T187089#4023553 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
    • s8
      • codfw
      • eqiad progress: T187089#4123193 UPDATE: eqiad only the master pending - will be done once we have done the DC failover
  • wikitech
    • labswiki
    •  labtestwiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Depool db1092
operations/mediawiki-config : masterdb-eqiad.php: Depool db1087
operations/mediawiki-config : masterdb-eqiad.php: Depool db1104
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1109
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1067
operations/mediawiki-config : masterdb-eqiad.php: Depool db1080
operations/mediawiki-config : masterdb-eqiad.php: Depool db1106
operations/mediawiki-config : masterdb-eqiad.php: Depool db1114
operations/mediawiki-config : masterdb-eqiad.php: Depool db1066
operations/mediawiki-config : masterdb-eqiad.php: Depool db1083
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1089
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1072
operations/mediawiki-config : masterdb-eqiad.php: Depool db1077
operations/mediawiki-config : masterdb-eqiad.php: Depool db1078
operations/mediawiki-config : masterdb-eqiad.php: Depool db1091
operations/mediawiki-config : masterdb-eqiad.php: Depool db1084
operations/mediawiki-config : masterdb-eqiad.php: Depool db1064
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1081
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1079
operations/mediawiki-config : masterdb-eqiad.php: Depool db1069
operations/mediawiki-config : masterdb-eqiad.php: Depool db1094
operations/mediawiki-config : masterdb-eqiad.php: Depool db1086
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1074
operations/mediawiki-config : masterdb-eqiad.php: Depool db1060
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090
operations/mediawiki-config : masterdb-eqiad.php: Depool db1076
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1088
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1085
operations/mediawiki-config : masterdb-eqiad.php: Depool db1063
operations/mediawiki-config : masterdb-eqiad.php: Depool db1093
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1051
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097
operations/mediawiki-config : masterdb-eqiad.php: Depool db1082
operations/mediawiki-config : masterdb-eqiad.php: Depool db1110
operations/mediawiki-config : masterdb-eqiad.php: Depool db1106
operations/mediawiki-config : masterdb-eqiad.php: Depool db1100 for alter table
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3315

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 424215 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/424215

Change 424215 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/424215

Mentioned in SAL (#wikimedia-operations) [2018-04-05T07:33:28Z] <marostegui> Deploy schema change on db1105:3311 - T187089 T185128 T153182

Change 424261 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/424261

Change 424261 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/424261

Mentioned in SAL (#wikimedia-operations) [2018-04-05T10:33:03Z] <marostegui> Deploy schema change on db1083 - T187089 T185128 T153182

Change 424322 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1066

https://gerrit.wikimedia.org/r/424322

Change 424322 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1066

https://gerrit.wikimedia.org/r/424322

Mentioned in SAL (#wikimedia-operations) [2018-04-05T14:54:03Z] <marostegui> Deploy schema change on db1066 - T187089 T185128 T153182

Change 424521 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/424521

Change 424521 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/424521

Mentioned in SAL (#wikimedia-operations) [2018-04-06T05:44:10Z] <marostegui> Deploy schema change on db1114 - T187089 T185128 T153182

Change 424988 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/424988

Change 424988 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/424988

Mentioned in SAL (#wikimedia-operations) [2018-04-09T05:34:33Z] <marostegui> Deploy schema change on db1106 with replication enabled (this will generate lag on labs replicas) - T187089 T185128 T153182

Change 425012 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/425012

Change 425012 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/425012

Mentioned in SAL (#wikimedia-operations) [2018-04-09T08:37:51Z] <marostegui> Deploy schema change on db1080 - T187089 T185128 T153182

Change 425054 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/425054

Change 425054 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/425054

Mentioned in SAL (#wikimedia-operations) [2018-04-09T14:11:02Z] <marostegui> Deploy schema change on db1067 - T187089 T185128 T153182

Marostegui changed the task status from Open to Stalled.Apr 10 2018, 5:18 AM
Marostegui updated the task description. (Show Details)
Marostegui moved this task from In progress to Blocked external/Not db team on the DBA board.
This comment was removed by Marostegui.
Marostegui changed the task status from Stalled to Open.Apr 10 2018, 6:30 AM
Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.
This comment was removed by Marostegui.
Marostegui updated the task description. (Show Details)Apr 10 2018, 6:31 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-11T05:22:47Z] <marostegui> Deploy schema change on codfw s8 master (db2045) with replication enabled (this will generate lag on codfw) - T187089 T185128 T153182

Change 425532 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/425532

Marostegui added a comment.EditedApr 11 2018, 2:07 PM

s8 progress:

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1095
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Apr 11 2018, 2:08 PM

Change 425532 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/425532

Mentioned in SAL (#wikimedia-operations) [2018-04-11T14:14:21Z] <marostegui> Deploy schema change on db1099:3318 - T187089 T185128 T153182

Marostegui updated the task description. (Show Details)Apr 11 2018, 2:17 PM

Change 425746 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/425746

Change 425746 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/425746

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:27:07Z] <marostegui> Deploy schema change on db1109 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-04-12T12:13:10Z] <marostegui> Deploy schema change on s8 dbstore1002 - T187089 T185128 T153182

Change 425806 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/425806

Change 425806 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/425806

Mentioned in SAL (#wikimedia-operations) [2018-04-12T13:44:13Z] <marostegui> Deploy schema change on db1101:3318 - T187089 T185128 T153182

Change 425960 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/425960

Change 425960 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/425960

Mentioned in SAL (#wikimedia-operations) [2018-04-13T05:37:03Z] <marostegui> Deploy schema change on db1104 - T187089 T185128 T153182

Change 426843 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/426843

Change 426843 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/426843

Mentioned in SAL (#wikimedia-operations) [2018-04-16T05:33:54Z] <marostegui> Deploy schema change on db1087 with replication (this will generate lag in labs) - T187089 T185128 T153182

Change 427051 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/427051

Change 427051 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/427051

Mentioned in SAL (#wikimedia-operations) [2018-04-17T05:21:19Z] <marostegui> Deploy schema change on db1092 - T187089 T185128 T153182

Marostegui changed the task status from Open to Stalled.Apr 17 2018, 3:47 PM
Marostegui moved this task from In progress to Blocked external/Not db team on the DBA board.

So this task is now stalled.
Only the primary masters in eqiad are pending to be altered, which is blocked on the DC failover.
For s1 and s2 we might be able to do the masters first, as we need to decommission those masters at somepoint, and hence, we need a failover: T186320

Nirmos added a subscriber: Nirmos.Apr 19 2018, 3:56 PM
Marostegui updated the task description. (Show Details)Jun 13 2018, 6:40 AM

s2 (T194870 )was failed over to a different master, and the new master has the schema changed applied already.

Marostegui updated the task description. (Show Details)Jul 4 2018, 4:11 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-18T13:17:25Z] <marostegui> Deploy schema change on db1052 - T187089

Marostegui updated the task description. (Show Details)Jul 19 2018, 2:12 PM
Marostegui updated the task description. (Show Details)Jul 22 2018, 6:22 AM

This task is stalled as it is blocked on the DC failover. Once eqiad is depooled we can finish the pending alter tables.

Mentioned in SAL (#wikimedia-operations) [2018-08-27T06:50:15Z] <marostegui> Deploy schema change on labtestwiki - T187089

Marostegui updated the task description. (Show Details)Aug 27 2018, 6:51 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-29T05:58:12Z] <marostegui> Deploy schema change on db1073 (labswiki) - T187089

Marostegui updated the task description. (Show Details)Aug 29 2018, 6:00 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-13T08:08:50Z] <marostegui> Deploy schema change on s5 eqiad master - T187089

Mentioned in SAL (#wikimedia-operations) [2018-09-13T08:21:15Z] <marostegui> Deploy schema change on s6 eqiad master (db1061) - T187089

Marostegui changed the task status from Stalled to Open.Sep 13 2018, 8:34 AM
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.
Marostegui updated the task description. (Show Details)Sep 13 2018, 8:46 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-13T10:33:32Z] <marostegui> Deploy schema change on s4 eqiad master (db1068) - T187089

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:07:40Z] <marostegui> Deploy schema change on s8 eqiad master (db1071) - T187089

Marostegui updated the task description. (Show Details)Sep 14 2018, 5:02 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-14T05:34:35Z] <marostegui> Deploy schema change on s3 eqiad master - T187089

Marostegui updated the task description. (Show Details)Sep 14 2018, 6:09 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-17T09:28:06Z] <marostegui> Deploy schema change on s7 eqiad master (db1062) - T187089

Marostegui closed this task as Resolved.Sep 17 2018, 12:55 PM
Marostegui updated the task description. (Show Details)

This is all done

DannyS712 updated the task description. (Show Details)Tue, Nov 12, 11:32 PM